## smb4k 4.0.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
# SPDX-FileCopyrightText: 2009-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

#
# Minimum required CMake version
#
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# Version
#
set(VERSION_MAJOR 4)
set(VERSION_MINOR 0)
set(VERSION_PATCH 0)

set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

#
# Project
#
project(smb4k)

#
# CMake policies
#
cmake_policy(SET CMP0037 NEW)

if (POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

#
# Minimum required versions of Qt and Frameworks
#
set(QT_MIN_VERSION "6.6.2")
set(KF_MIN_VERSION "6.0.0")

#
# Options for building Smb4K
#
# Install plasmoid
option(SMB4K_INSTALL_PLASMOID "Install the plasmoid" ON)

# Build with KDSoap WS Discovery client
option(SMB4K_WITH_WS_DISCOVERY "Build with WS-Discovery support for browsing" OFF)

# Compile definitions
# Error out when deprecated functions (in Qt <= 6.0.0) are encountered
add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x060000)

#
# Required packages and includes
#
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(CheckSymbolExists)
include(KDEClangFormat)

#
# Version
# 
ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)

#
# Source code formatting
# 
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

# Qt modules
find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE REQUIRED COMPONENTS
  Core
  Gui
  Network
  PrintSupport
  Qml
  Widgets
)

# Frameworks modules
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
  Auth
  Completion
  Config
  ConfigWidgets
  CoreAddons
  Crash
  DBusAddons
  DNSSD
  DocTools
  I18n
  IconThemes
  JobWidgets
  KIO
  Notifications
  Solid
  StatusNotifierItem
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
)

# QtKeychain: For secure storage of credentials
# (https://github.com/frankosterfeld/qtkeychain)
find_package(Qt6Keychain 0.14.2 REQUIRED)


# Install the plasmoid if desired
if (SMB4K_INSTALL_PLASMOID)
  find_package(Plasma)
  find_package(KF6Kirigami)
  set_package_properties(Plasma PROPERTIES TYPE RUNTIME)
  set_package_properties(KF6Kirigami PROPERTIES TYPE RUNTIME)
endif()

# Find libsmbclient.h
find_package(Libsmbclient REQUIRED MODULE)

# Check that the required smbc_* functions are provided
set(CMAKE_REQUIRED_LIBRARIES ${LIBSMBCLIENT_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${LIBSMBCLIENT_INCLUDE_DIRS})
check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)

if (NOT HAVE_SMBC_PROTOCOL)
  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
endif()

# Find KDSoap client
if (SMB4K_WITH_WS_DISCOVERY)
    message(STATUS "Building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=OFF to disable)")
    find_package(KDSoap-qt6 2.0.0 REQUIRED)
    find_package(KDSoapWSDiscoveryClient 0.4.0 REQUIRED)
elseif(NOT SMB4K_WITH_WS_DISCOVERY)
    message(STATUS "Not building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=ON to enable)")
endif(SMB4K_WITH_WS_DISCOVERY)

#
# Add subdirectories
#
add_subdirectory(core)
add_subdirectory(helpers)
add_subdirectory(smb4k)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

#
# Make adjustments according to the options set by the user
#
# Plasmoid: Notify the user and add the subdirectory if desired
if (SMB4K_INSTALL_PLASMOID)
  message(STATUS "Installing plasmoid (-DSMB4K_INSTALL_PLASMOID=OFF to disable)")
  add_subdirectory(plasmoid)
elseif(NOT SMB4K_INSTALL_PLASMOID)
  message(STATUS "Not installing plasmoid (-DSMB4K_INSTALL_PLASMOID=ON to enable)")
endif(SMB4K_INSTALL_PLASMOID)

########### install files ###############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== helpers/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
# SPDX-FileCopyrightText: 2010-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core)

add_executable(mounthelper)

target_sources(mounthelper PRIVATE
  smb4kmounthelper.cpp)

target_link_libraries(mounthelper
  smb4kcore
  Qt6::Core
  KF6::AuthCore
  KF6::CoreAddons
  KF6::I18n
  KF6::KIOCore)

install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)
kauth_install_actions(org.kde.smb4k.mounthelper smb4kmounthelper.actions)

=== smb4k/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2009-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

add_subdirectory(icons)

########### Configuration dialog #####################

add_library(smb4kconfigdialog MODULE)

target_sources(smb4kconfigdialog PRIVATE
  smb4kconfigdialog.cpp
  smb4kconfigpageauthentication.cpp
  smb4kconfigpagebookmarks.cpp
  smb4kconfigpagecustomsettings.cpp
  smb4kconfigpagemounting.cpp
  smb4kconfigpagenetwork.cpp
  smb4kconfigpageprofiles.cpp
  smb4kconfigpagesynchronization.cpp
  smb4kconfigpageuserinterface.cpp
  smb4kcustomsettingseditorwidget.cpp)

target_link_libraries(smb4kconfigdialog
  Qt6::Core
  Qt6::Widgets
  Qt6::Gui
  KF6::WidgetsAddons
  KF6::CoreAddons
  KF6::XmlGui
  KF6::IconThemes
  KF6::I18n
  KF6::ConfigCore
  KF6::ConfigGui
  KF6::KIOCore
  KF6::KIOWidgets
  KF6::WindowSystem
  smb4kcore)
  
if (SMB4K_WITH_WS_DISCOVERY)
  target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
endif(SMB4K_WITH_WS_DISCOVERY)

########### Dialogs ################################

add_library(smb4kdialogs SHARED)

target_sources(smb4kdialogs PRIVATE
  smb4kbookmarkdialog.cpp
  smb4kbookmarkeditor.cpp
  smb4kconfigpagebookmarks.cpp
  smb4kcustomsettingseditor.cpp
  smb4kcustomsettingseditorwidget.cpp
  smb4khomesuserdialog.cpp
  smb4kmountdialog.cpp
  smb4kpassworddialog.cpp
  smb4kpreviewdialog.cpp
  smb4kprintdialog.cpp
  smb4ksynchronizationdialog.cpp)

target_link_libraries(smb4kdialogs
  Qt6::Core
  Qt6::Widgets
  KF6::Completion
  KF6::ConfigGui
  KF6::CoreAddons
  KF6::I18n
  KF6::IconThemes
  smb4kcore)

target_compile_definitions(smb4kdialogs PRIVATE SMB4KDIALOGS)

########### Main Application #########################

add_executable(smb4k)

target_sources(smb4k PRIVATE
  main.cpp
  smb4k.qrc
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4kmainwindow.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4knetworkbrowserdockwidget.cpp
  smb4knetworksearchtoolbar.cpp
  smb4ksharesmenu.cpp
  smb4ksharesview.cpp
  smb4ksharesviewitem.cpp
  smb4ksharesviewdockwidget.cpp
  smb4ksystemtray.cpp
  smb4ktooltip.cpp)

target_link_libraries(smb4k
  smb4kcore
  smb4kdialogs
  Qt6::Core
  Qt6::Gui
  Qt6::Widgets
  KF6::CoreAddons
  KF6::WidgetsAddons
  KF6::DBusAddons
  KF6::XmlGui
  KF6::I18n
  KF6::IconThemes
  KF6::KIOCore
  KF6::ConfigWidgets
  KF6::Crash
  KF6::WindowSystem
  KF6::StatusNotifierItem)

########### install files ###############

install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4kdialogs DESTINATION ${KDE_INSTALL_LIBDIR})
install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})

install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
smb4k (4.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtdeclarative5-dev, libkf5auth-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      libkf5dnssd-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5solid-dev, libkf5wallet-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-declarative-dev, libkf6auth-dev,
      libkf6completion-dev, libkf6config-dev, libkf6configwidgets-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6dbusaddons-dev,
      libkf6dnssd-dev, libkf6doctools-dev, libkf6i18n-dev, libkf6iconthemes-dev,
      libkf6jobwidgets-dev, libkf6kio-dev, libkf6notifications-dev,
      libkf6solid-dev, libkf6statusnotifieritem-dev, libkf6wallet-dev,
      libkf6widgetsaddons-dev, libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - add qtkeychain-qt6-dev
  * Switch the kf5 dh addon to kf6.
  * Enable the WS-Discovery support, now that all the needed libraries are
    available in Debian:
    - add the libkdsoap-dev, and libkdsoapwsdiscoveryclient-dev build
      dependencies
    - pass -DSMB4K_WITH_WS_DISCOVERY=ON to cmake
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 09:39:18 +0100

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               gettext,
               extra-cmake-modules (>= 6.0.0~),
               qt6-base-dev (>= 6.6.2~),
               qt6-declarative-dev (>= 6.6.2~),
               libkf6auth-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               libsmbclient-dev,
               libkdsoap-dev (>= 2.0.0~),
               libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://smb4k.sourceforge.net/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

Package: smb4k
Architecture: linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Suggests: konsole, kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

## smb4k 4.0.3

=== debian/changelog ===
smb4k (4.0.3-0zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 08 Jul 2025 00:23:04 +0000

smb4k (4.0.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 10:21:43 +1000

smb4k (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Mar 2025 17:09:26 +1000

smb4k (3.2.90-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 14:13:33 +1000

smb4k (3.2.71-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 10:00:46 +1000

smb4k (3.2.70-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 13:10:34 +1100

smb4k (3.2.5-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Mon, 17 May 2021 11:51:11 +0200

smb4k (3.0.90-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Thu, 29 Apr 2021 14:20:50 +0200

smb4k (3.0.84-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 06 Apr 2021 10:43:45 +0200

smb4k (3.0.82-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 09 Mar 2021 12:44:47 +0100

smb4k (3.0.81-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Fri, 12 Feb 2021 11:07:20 +0100

smb4k (3.0.80-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Mon, 18 Jan 2021 14:58:22 +0100

smb4k (3.0.71-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2020 14:54:24 +0200

smb4k (3.0.70-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Jul 2020 07:51:05 +0000

smb4k (3.0.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 04 Jun 2020 07:51:06 +0000

smb4k (3.0.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 May 2020 07:51:05 +0000

smb4k (3.0.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Apr 2020 07:51:05 +0000

smb4k (3.0.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 Mar 2020 07:51:06 +0000

smb4k (3.0.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Aug 2019 09:24:30 +0000

smb4k (3.0.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2019 07:51:07 +0000

smb4k (3.0.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2019 07:51:09 +0000

smb4k (2.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 23 Jul 2018 11:07:07 +0000

## smb4k 4.0.4

=== core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2009-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${LIBSMBCLIENT_INCLUDE_DIRS})

add_library(smb4kcore SHARED)

target_sources(smb4kcore PRIVATE
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kclient.cpp
  smb4kclient_p.cpp
  smb4kcustomsettings.cpp
  smb4kcustomsettingsmanager.cpp
  smb4kcredentialsmanager.cpp
  smb4kfile.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khardwareinterface.cpp
  smb4khomesshareshandler.cpp
  smb4khost.cpp
  smb4kmounter.cpp 
  smb4knotification.cpp
  smb4kprofilemanager.cpp
  smb4kshare.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kworkgroup.cpp)

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
  kconfig_add_kcfg_files(smb4kcore
  smb4ksettings.kcfgc 
  smb4kmountsettings_linux.kcfgc)
elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "DragonFly")
  kconfig_add_kcfg_files(smb4kcore
  smb4ksettings.kcfgc 
  smb4kmountsettings_bsd.kcfgc)
else ()
  kconfig_add_kcfg_files(smb4kcore
  smb4ksettings.kcfgc)
endif ()

target_link_libraries(smb4kcore
  Qt6::Core
  Qt6::Widgets
  Qt6::PrintSupport
  Qt6::Network
  KF6::ConfigCore
  KF6::ConfigGui
  KF6::AuthCore
  KF6::IconThemes
  KF6::I18n
  KF6::CoreAddons
  KF6::Solid
  KF6::KIOCore
  KF6::KIOWidgets
  KF6::Notifications
  KF6::JobWidgets
  KF6::Wallet
  KF6::DNSSD
  qt6keychain
  ${LIBSMBCLIENT_LIBRARIES})
    
if (SMB4K_WITH_WS_DISCOVERY)
  target_compile_definitions(smb4kcore PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
  target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
endif(SMB4K_WITH_WS_DISCOVERY)

target_compile_definitions(smb4kcore PRIVATE SMB4KCORE)

add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")

install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})

########### install files ###############

install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== doc/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR smb4k)

=== plasmoid/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2016-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

project(smb4kqml)

add_subdirectory(plugin)

plasma_install_package(package org.kde.smb4kqml)

=== plasmoid/plugin/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2012-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/smb4k
  ${CMAKE_BINARY_DIR}/smb4k)
  
add_library(smb4kqmlplugin SHARED)

target_sources(smb4kqmlplugin PRIVATE
  smb4kbookmarkobject.cpp
  smb4kdeclarative.cpp
  smb4knetworkobject.cpp
  smb4kprofileobject.cpp
  smb4kqmlplugin.cpp)

target_link_libraries(smb4kqmlplugin
  Qt6::Core
  Qt6::Qml
  KF6::XmlGui
  smb4kcore
  smb4kdialogs)

install(TARGETS smb4kqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)

=== smb4k/icons/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>

add_subdirectory( hicolor )
add_subdirectory( oxygen )

=== smb4k/icons/oxygen/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>
# SPDX-FileCopyrightText: 2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${KDE_INSTALL_ICONDIR}
                   THEME oxygen   )

=== debian/changelog ===
smb4k (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libsmbclient-dev,
                libkdsoap-dev (>= 2.0.0~),
                libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DSMB4K_INSTALL_PLASMOID=false -DSMB4K_WITH_WS_DISCOVERY=ON

execute_after_dh_auto_install:
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete

=== debian/watch ===
version=4
https://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz)

## smb4k 4.0.4+p24.04+vstable+git20250921.0642

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20250921.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:42:49 +0000

smb4k (4.0.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 18 Aug 2025 10:28:43 +1000

## smb4k 4.0.4+p24.04+vstable+git20250930.0454

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:16 +0000

## smb4k 4.0.4+p24.04+vstable+git20251019.0354

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251019.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:54:09 +0000

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               gettext,
               kdsoap-ws-discovery-client-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libkdsoap-qt6-dev,
               libplasma-dev,
               libsmbclient-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://smb4k.sourceforge.net/
Vcs-Git: https://invent.kde.org/neon/extras/smb4k.git
Vcs-Browser: https://invent.kde.org/neon/extras/smb4k
Maintainer: Neon CI <neon@kde.org>

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils [linux-any] | freebsd-smbfs [kfreebsd-any],
         libplasma6,
         qml6-module-qtqml-models,
         samba-common-bin,
         smbclient,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Suggests: konsole, kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
    -DSMB4K_WITH_WS_DISCOVERY=ON \
    -DECM_DIR=/usr/share/ECM/

## smb4k 4.0.4+p24.04+vstable+git20251026.0223

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251026.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:23:23 +0000

## smb4k 4.0.4+p24.04+vstable+git20251030.0019

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251030.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:19:11 +0000

## smb4k 4.0.4+p24.04+vstable+git20251031.0958

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251031.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:58:18 +0000

## smb4k 4.0.4+p24.04+vstable+git20251231.0300

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251231.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:00:40 +0000

## smb4k 4.0.4+p24.04+vstable+git20260131.0427

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20260131.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:27:12 +0000

## smb4k 4.0.4+p24.04+vstable+git20260202.1022

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20260202.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:23:00 +0000

## smb4k 4.0.4+p24.04+vunstable+git20251130.0115

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #
 set(VERSION_MAJOR 4)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 80)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20251130.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 01:15:41 +0000

## smb4k 4.0.4+p24.04+vunstable+git20251206.0808

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20251206.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:08:40 +0000

## smb4k 4.0.4+p24.04+vunstable+git20260104.0309

=== helpers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
-# SPDX-FileCopyrightText: 2010-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2010-2025 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -21,6 +21,8 @@
   KF6::I18n
   KF6::KIOCore)
 
+add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")
+
 install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
 
 kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)

## smb4k 4.0.4+p24.04+vunstable+git20260203.0759

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20260203.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 07:59:20 +0000

## smb4k 4.0.4+p24.04+vunstable+git20260205.0719

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20260205.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:19:13 +0000

## smb4k 4.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
-# SPDX-FileCopyrightText: 2009-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2009-2025 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 
 #
 # Minimum required CMake version
@@ -12,7 +12,7 @@
 #
 set(VERSION_MAJOR 4)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 80)
+set(VERSION_PATCH 5)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (4.0.5-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:16:46 +0000

smb4k (4.0.5-1) unstable; urgency=medium

  * New upstream release:
    - fixes CVE-2025-66002 & CVE-2025-66003 (Closes: #1122381)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add the iproute2 dependency, needed for "ip".

 -- Pino Toscano <pino@debian.org>  Sun, 14 Dec 2025 21:43:13 +0100

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               gettext,
               extra-cmake-modules (>= 6.0.0~),
               qt6-base-dev (>= 6.6.2~),
               qt6-declarative-dev (>= 6.6.2~),
               libkf6auth-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               libsmbclient-dev,
               libkdsoap-dev (>= 2.0.0~),
               libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
Standards-Version: 4.7.2
Homepage: https://smb4k.sourceforge.net/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

Package: smb4k
Architecture: linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any],
         iproute2 [linux-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Suggests: konsole, kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

## smb4k 4.0.6

=== debian/changelog ===
smb4k (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Feb 2026 19:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: smb4k
 Section: kde
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -35,7 +33,7 @@
                libsmbclient-dev,
                libkdsoap-dev (>= 2.0.0~),
                libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
